com.unitech.stuhfl

## Class STUHFL_T_Gen2_Select

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gen2_Select
  - - com.unitech.stuhfl.STUHFL_T_Gen2_Select

-     public class STUHFL_T_Gen2_Select
      extends BR_Gen2_Select

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gen2_Select

      `BR_Gen2_Select.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `action` < I Param: indicates whether the select modifies a tag's SL flag or its inventoried flag.
    `byte[]` | `mask` < I Param: Bank (File, EPC, TID, USER) on which apply the select.
    `short` | `maskBitLength` < I Param: Starting address to which mask is applied.
    `long` | `maskBitPointer` < I Param: Selection mask.
    `STUHFL_E.GEN2_MEMORY_BANK` | `memoryBank` < I Param: Elicit the tag behavior according to Gen2 Select specification.
    `STUHFL_E.GEN2_SELECT_MODE` | `mode`
    `STUHFL_E.GEN2_SELECT_TARGET` | `target` < I Param: Select mode to be applied (CLEAR_LIST, ADD2LIST, CLEAR_AND_ADD).
    `short` | `truncation` < I Param: Mask length.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gen2_Select()`
    `STUHFL_T_Gen2_Select(STUHFL_E.GEN2_SELECT_MODE mode, STUHFL_E.GEN2_SELECT_TARGET target, short action, STUHFL_E.GEN2_MEMORY_BANK memoryBank, byte[] mask, long maskBitPointer, short maskBitLength, short truncation)`
    `STUHFL_T_Gen2_Select(STUHFL_T_Gen2_Select other)` < I Param: Truncate enabling.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gen2 Select command to select or filter transponders
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gen2_Select

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mode

          public STUHFL_E.GEN2_SELECT_MODE mode

    - #### target

          public STUHFL_E.GEN2_SELECT_TARGET target

      < I Param: Select mode to be applied (CLEAR_LIST, ADD2LIST, CLEAR_AND_ADD).

    - #### action

          public short action

      < I Param: indicates whether the select modifies a tag's SL flag or its inventoried flag.

    - #### memoryBank

          public STUHFL_E.GEN2_MEMORY_BANK memoryBank

      < I Param: Elicit the tag behavior according to Gen2 Select specification.

    - #### mask

          public byte[] mask

      < I Param: Bank (File, EPC, TID, USER) on which apply the select.

    - #### maskBitPointer

          public long maskBitPointer

      < I Param: Selection mask.

    - #### maskBitLength

          public short maskBitLength

      < I Param: Starting address to which mask is applied.

    - #### truncation

          public short truncation

      < I Param: Mask length.

  - ### Constructor Detail

    - #### STUHFL_T_Gen2_Select

          public STUHFL_T_Gen2_Select(STUHFL_T_Gen2_Select other)

      < I Param: Truncate enabling.

    - #### STUHFL_T_Gen2_Select

          public STUHFL_T_Gen2_Select(STUHFL_E.GEN2_SELECT_MODE mode,
                                      STUHFL_E.GEN2_SELECT_TARGET target,
                                      short action,
                                      STUHFL_E.GEN2_MEMORY_BANK memoryBank,
                                      byte[] mask,
                                      long maskBitPointer,
                                      short maskBitLength,
                                      short truncation)

    - #### STUHFL_T_Gen2_Select

          public STUHFL_T_Gen2_Select()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gen2 Select command to select or filter transponders
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`